arangodump(1)

NAME
arangodump - a tool to create logical dumps of an ArangoDB database

SYNOPSIS
arangodump [options]

DESCRIPTION
The arangodump binary can be used to create logical dumps of collection meta information and collection data (documents) of an ArangoDB database. By default, all non-system collections of the specified ArangoDB database will be dumped with structural information and data. For each collection, a file named "<collection>.structure.json" will be created with information about the collection. When data is also dumped, an additional file "<collection>.data.json" will also be created. All dump files will be placed in a directory, which will be created by arangodump when run. If the directory already exists, arangodump will refuse to work unless started with the option "--overwrite true". arangodump will work on the specified database only. If no database name is specified, arangodump will work on the default database ("_system"). The dumped files can be re-stored in an ArangoDB database using the arangorestore tool.

OPTIONS
The arangodump binary has many options that can be used to control its behavior. For a complete list of options, please refer to the ArangoDB online manual, available at https://www.arangodb.com/

AUTHOR
Copyright ArangoDB GmbH, Cologne, Germany